Home
last modified time | relevance | path

Searched refs:echo (Results 1 – 25 of 26) sorted by relevance

12

/build/soong/apex/
Dapex_singleton.go57 echo -e "\n******************************";
58 echo "ERROR: go/apex-allowed-deps-error";
59 echo "******************************";
60 echo "Detected changes to allowed dependencies in updatable modules.";
61 echo "To fix and update packages/modules/common/build/allowed_deps.txt, please run:";
62 echo -e "$$ (croot && packages/modules/common/build/update-apex-allowed-deps.sh)\n";
63 echo "When submitting the generated CL, you must include the following information";
64 echo "in the commit message if you are adding a new dependency:";
65 echo "Apex-Size-Increase:";
66 echo "Previous-Platform-Support:";
[all …]
Dbuilder.go163 `echo -e "New unexpected files were added to ${apex_module_name}." ` +
165 …`echo "system/apex/tools/update_allowed_list.sh ${allowed_files_file} ${image_content_file}" && ` +
/build/make/tools/canoninja/
DREADME.md19 @echo foo
22 @echo bar
39 command = /bin/sh -c "echo foo"
44 command = /bin/sh -c "echo bar"
64 command = /bin/sh -c "echo bar"
69 command = /bin/sh -c "echo foo"
105 command = /bin/sh -c "echo foo"
110 command = /bin/sh -c "echo bar"
130 command = /bin/sh -c "echo bar"
135 command = /bin/sh -c "echo foo"
/build/soong/tradefed/suite_harness/
Dtradefed_binary.go120 `echo "# This file is auto generated by Android.mk. Do not modify." >> $out && ` +
121 `echo "build_number = $$(cat ${buildNumberFile})" >> $out && ` +
122 `echo "target_arch = ${arch}" >> $out && ` +
123 `echo "name = ${name}" >> $out && ` +
124 `echo "fullname = ${fullname}" >> $out && ` +
125 `echo "version = ${version}" >> $out`,
/build/make/tools/
Dcheckowners.py26 def echo(msg): function
35 echo('Checking email address: ' + address)
39 echo('Found email address: ' + address)
68 echo('Checking file: ' + fname)
/build/make/tools/docker/
DDockerfile14 …&& echo "d06f33115aea44e583c8669375b35aad397176a411de3461897444d247b6c220 /usr/local/bin/repo" | …
19 && echo $username >/root/username \
20 && echo "export USER="$username >>/home/$username/.gitconfig
/build/make/tools/rbcrun/testdata/
Dshell.star5 assert.eq("shell.star", rblf_shell("cd %s && echo shell.sta*" % rblf_env.TEST_DATA_DIR))
/build/soong/cc/
Drs.go39 echo '${out}: \' > ${out}.d &&
/build/soong/dexpreopt/dexpreopt_gen/
Ddexpreopt_gen.go192 fmt.Fprintln(script, `echo -n $2 > $2.d`)
239 echo "error: $0:$1 exited with status $errno" >&2
240 echo "error in command:" >&2
/build/soong/ui/build/
Dsandbox_linux.go117 …/bash", "-c", `if [ $(hostname) == "android-build" ]; then echo "Android" "Success"; else echo Fai…
/build/soong/java/
Drobolectric.go237 Textf(`echo "android_merged_manifest=%s" >>`, manifest.String()).Output(outputFile).Text("&&").
238 Textf(`echo "android_resource_apk=%s" >>`, resourceApk.String()).Output(outputFile).
257 Textf(`echo "android_merged_manifest=%s-AndroidManifest.xml" &&`, ctx.ModuleName()).
258 Textf(`echo "android_resource_apk=%s.apk"`, ctx.ModuleName()).
Dhiddenapi.go233 echo "--input-dex=$${INPUT_DEX}";
234 echo "--output-dex=$tmpDir/dex-output/$$(basename $${INPUT_DEX})";
Dlint.go299 Text(`echo "<?xml version='1.0' encoding='utf-8'?>" &&`).
300 Text(`echo "<manifest xmlns:android='http://schemas.android.com/apk/res/android'" &&`).
301 Text(`echo " android:versionCode='1' android:versionName='1' >" &&`).
302 Textf(`echo " <uses-sdk android:minSdkVersion='%s' android:targetSdkVersion='%s'/>" &&`,
304 Text(`echo "</manifest>"`).
Dbuilder.go208 `[ -e ${out} ] || (echo "Missing output file"; exit 1)`,
Ddexpreopt_bootjars.go731 cmd.Textf(`|| ( echo %s ; false )`, proptools.ShellEscape(failureMessage))
/build/soong/android/
Ddefs.go94 Command: `echo "$error" && false`,
Dbuildinfo_prop.go68 cmd.Text(`echo "` + str + `" && `)
/build/blueprint/
Dninja_writer_test.go119 command = echo out: $out in: $in _arg: $_arg
/build/soong/provenance/
Dprovenance_singleton.go39 …`echo -e "# proto-file: build/soong/provenance/proto/provenance_metadata.proto\n# proto-message: P…
/build/soong/python/
Dbuilder.go48 `echo "#!/usr/bin/env $interp" >${out}.prefix &&` +
/build/soong/docs/
Dperf.md75 verbose: *kati*: 0.012 / 1 mkdir -p out/target/product/generic && echo Android/aosp_arm/generic:R…
76 verbose: *kati*: 0.010 / 1 echo 'com.android.launcher3.config.FlagOverrideSampleTest com.android.…
82 verbose: *kati*: 0.008 / 1 mkdir -p out/target/product/generic && echo R/AOSP.MASTER/$(cat out/bu…
83 verbose: *kati*: 0.007 / 1 echo 'com.android.customization.model.clock.BaseClockManagerTest com.a…
/build/soong/dexpreopt/
Ddexpreopt.go159 cmd.Text(fmt.Sprintf(`|| echo "Profile out of date for %s"`, module.DexPath))
192 cmd.Text(fmt.Sprintf(`|| echo "Profile out of date for %s"`, module.DexPath))
/build/bazel_common_rules/docs/
Ddocs.bzl89 …default_file_cmd += """echo '<div hidden><a href="#{src}" id="default_file">{src}</a></div>' >> $@…
/build/soong/androidmk/androidmk/
Dandroidmk_test.go486 echo begin
488 echo middle
490 echo end
/build/soong/mk2rbc/
Dmk2rbc_test.go277 PRODUCT_NAME:=$(shell echo *)

12